---
updatedAt: 2025-07-22T07:46:05.000Z
---

Fetch the complete documentation index at: https://apidocs.hibob.com/llms.txt. Use this file to discover all available pages before exploring further.

# Read company positions

This endpoint returns a list of company positions filtered by the specified attributes. Note that this endpoint requires body parameters, which is why it is implemented as a POST request.  <br /><br /> <br /><br /> **<b>Required permissions</b>** <br />    To access the positions, the service user making the call must have the following permissions: <br /> **Features > Workforce planning > Position management > Manage positions**. <br />

# OpenAPI definition

```json
{
  "openapi": "3.1.1",
  "info": {
    "title": "Workforce Planning API",
    "description": "Use Public API to access Workforce Planning in Bob",
    "license": {
      "name": "Proprietary",
      "url": "https://apidocs.hibob.com/docs/api-terms-of-use"
    },
    "contact": {
      "name": "Hi Bob, Inc."
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.hibob.com/v1",
      "description": "Production"
    },
    {
      "url": "https://api.sandbox.hibob.com/v1",
      "description": "Sandbox"
    }
  ],
  "x-readme": {
    "metrics-enabled": false
  },
  "tags": [
    {
      "name": "Workforce Planning",
      "description": "Operations for managing workforce planning in Bob"
    },
    {
      "name": "Workforce Planning Webhooks",
      "description": "Webhook events for workforce planning-related operations"
    }
  ],
  "webhooks": {
    "positionCreated": {
      "post": {
        "operationId": "post_webhook_workforce-planning-position-created",
        "tags": [
          "Workforce Planning Webhooks"
        ],
        "summary": "Position created webhook",
        "description": "Webhook sent when a new position is created in the Workforce Planning module.\n\nPositions are a core entity of the Workforce Planning module, enabling you to allocate\nbudgets and assign specific roles to positions for your workforce's current and future needs.\n\n**Best practice:** Use the event as a notification only, and retrieve the complete position\ndetails using the <a href=\"https://apidocs.hibob.com/reference/post_objects-position-search\" target=\"_blank\">Read company positions</a> API endpoint.\n\nIn the right panel, open **Examples** and select **Payload Example** to see a real payload.\n",
        "parameters": [
          {
            "name": "bob-signature",
            "in": "header",
            "required": true,
            "description": "Base64-encoded signature sent with each webhook request. Use it to verify that the request came from Bob. To verify webhook authenticity, see <a href=\"https://apidocs.hibob.com/reference/getting-started-webhooks#how-does-bob-calculate-the-signature\" target=\"_blank\">How does Bob calculate the signature</a>.",
            "schema": {
              "type": "string",
              "example": "EQScIBkAtTKFW0ictgt5zzOsqIc2+xGEsM88jOdLuW4CM/a3gLEfrKV+IC5IHx0xbirzLKPIfaZjCGwzuiyI8w=="
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PositionCreatedEvent"
              },
              "example": {
                "companyId": 637323,
                "type": "workforcePlanning.position.created",
                "triggeredBy": "3418533772247696340",
                "triggeredAt": "2024-10-03T09:29:00.831502Z",
                "version": "v2",
                "data": {
                  "positionId": 123
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Webhook received successfully"
          },
          "400": {
            "description": "Invalid webhook payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": []
      }
    },
    "positionUpdated": {
      "post": {
        "operationId": "post_webhook_workforce-planning-position-updated",
        "tags": [
          "Workforce Planning Webhooks"
        ],
        "summary": "Position updated webhook",
        "description": "Webhook sent when any position fields are modified in the Workforce Planning module.\n\nPositions can have various attributes such as department, site, employment type, and manager.\nThe payload includes `fieldUpdatesIds` to indicate which fields were changed.\n\n**Best practice:** Use the event as a notification only, and retrieve the complete position\ndetails using the <a href=\"https://apidocs.hibob.com/reference/post_objects-position-search\" target=\"_blank\">Read company positions</a> API endpoint.\nUse the `fieldUpdatesIds` from the payload to retrieve only the updated field values.\n\nIn the right panel, open **Examples** and select **Payload Example** to see a real payload.\n",
        "parameters": [
          {
            "name": "bob-signature",
            "in": "header",
            "required": true,
            "description": "Base64-encoded signature sent with each webhook request. Use it to verify that the request came from Bob. To verify webhook authenticity, see <a href=\"https://apidocs.hibob.com/reference/getting-started-webhooks#how-does-bob-calculate-the-signature\" target=\"_blank\">How does Bob calculate the signature</a>.",
            "schema": {
              "type": "string",
              "example": "EQScIBkAtTKFW0ictgt5zzOsqIc2+xGEsM88jOdLuW4CM/a3gLEfrKV+IC5IHx0xbirzLKPIfaZjCGwzuiyI8w=="
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PositionUpdatedEvent"
              },
              "example": {
                "companyId": 637323,
                "type": "workforcePlanning.position.updated",
                "triggeredBy": "3418533772247696340",
                "triggeredAt": "2024-10-03T09:29:00.831502Z",
                "version": "v2",
                "data": {
                  "positionId": 123,
                  "fieldUpdatesIds": [
                    {
                      "id": "/position/status"
                    }
                  ]
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Webhook received successfully"
          },
          "400": {
            "description": "Invalid webhook payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": []
      }
    },
    "positionOpeningCreated": {
      "post": {
        "operationId": "post_webhook_workforce-planning-position-opening-created",
        "tags": [
          "Workforce Planning Webhooks"
        ],
        "summary": "Position opening created webhook",
        "description": "Webhook sent when a new position opening is created. Position openings are always linked\nto a Position in Bob.\n\nThey allow organizations to plan multiple hiring scenarios under the same position (e.g.\nmaternity leave replacements or organizational growth) without duplicating positions. Each\nopening can have its recruitment status, expected start date, and opening name.\n\n**Best practice:** Use the event as a notification only, and retrieve the complete position\nopening details using the <a href=\"https://apidocs.hibob.com/reference/post_positions-position-openings-search\" target=\"_blank\">Read company positions openings</a> API endpoint.\nNote that position opening events don't include the position ID; you can get it by\nretrieving the opening details.\n\nIn the right panel, open **Examples** and select **Payload Example** to see a real payload.\n",
        "parameters": [
          {
            "name": "bob-signature",
            "in": "header",
            "required": true,
            "description": "Base64-encoded signature sent with each webhook request. Use it to verify that the request came from Bob. To verify webhook authenticity, see <a href=\"https://apidocs.hibob.com/reference/getting-started-webhooks#how-does-bob-calculate-the-signature\" target=\"_blank\">How does Bob calculate the signature</a>.",
            "schema": {
              "type": "string",
              "example": "EQScIBkAtTKFW0ictgt5zzOsqIc2+xGEsM88jOdLuW4CM/a3gLEfrKV+IC5IHx0xbirzLKPIfaZjCGwzuiyI8w=="
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PositionOpeningCreatedEvent"
              },
              "example": {
                "companyId": 637323,
                "type": "workforcePlanning.positionOpening.created",
                "triggeredBy": "3418533772247696340",
                "triggeredAt": "2024-10-03T09:29:00.831502Z",
                "version": "v2",
                "data": {
                  "positionOpeningId": 123
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Webhook received successfully"
          },
          "400": {
            "description": "Invalid webhook payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": []
      }
    },
    "positionOpeningUpdated": {
      "post": {
        "operationId": "post_webhook_workforce-planning-position-opening-updated",
        "tags": [
          "Workforce Planning Webhooks"
        ],
        "summary": "Position opening updated webhook",
        "description": "Webhook sent when position opening fields are modified. Position openings are always linked\nto a Position in Bob.\n\nThe payload includes `fieldUpdatesIds` to indicate which fields were changed.\n\n**Best practice:** Use the event as a notification only, and retrieve the complete position\nopening details using the <a href=\"https://apidocs.hibob.com/reference/post_positions-position-openings-search\" target=\"_blank\">Read company positions openings</a> API endpoint.\nUse the `fieldUpdatesIds` from the payload to retrieve only the updated field values.\n\nIn the right panel, open **Examples** and select **Payload Example** to see a real payload.\n",
        "parameters": [
          {
            "name": "bob-signature",
            "in": "header",
            "required": true,
            "description": "Base64-encoded signature sent with each webhook request. Use it to verify that the request came from Bob. To verify webhook authenticity, see <a href=\"https://apidocs.hibob.com/reference/getting-started-webhooks#how-does-bob-calculate-the-signature\" target=\"_blank\">How does Bob calculate the signature</a>.",
            "schema": {
              "type": "string",
              "example": "EQScIBkAtTKFW0ictgt5zzOsqIc2+xGEsM88jOdLuW4CM/a3gLEfrKV+IC5IHx0xbirzLKPIfaZjCGwzuiyI8w=="
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PositionOpeningUpdatedEvent"
              },
              "example": {
                "companyId": 637323,
                "type": "workforcePlanning.positionOpening.updated",
                "triggeredBy": "3418533772247696340",
                "triggeredAt": "2024-10-03T09:29:00.831502Z",
                "version": "v2",
                "data": {
                  "positionOpeningId": 123,
                  "fieldUpdatesIds": [
                    {
                      "id": "/positionOpening/status"
                    }
                  ]
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Webhook received successfully"
          },
          "400": {
            "description": "Invalid webhook payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": []
      }
    },
    "positionOpeningDeleted": {
      "post": {
        "operationId": "post_webhook_workforce-planning-position-opening-deleted",
        "tags": [
          "Workforce Planning Webhooks"
        ],
        "summary": "Position opening deleted webhook",
        "description": "Webhook sent when a position opening is removed. Position openings are always linked\nto a Position in Bob.\n\n**Best practice:** Use the event as a notification only, and verify the deletion using the\n<a href=\"https://apidocs.hibob.com/reference/post_positions-position-openings-search\" target=\"_blank\">Read company positions openings</a> API endpoint.\n\nIn the right panel, open **Examples** and select **Payload Example** to see a real payload.\n",
        "parameters": [
          {
            "name": "bob-signature",
            "in": "header",
            "required": true,
            "description": "Base64-encoded signature sent with each webhook request. Use it to verify that the request came from Bob. To verify webhook authenticity, see <a href=\"https://apidocs.hibob.com/reference/getting-started-webhooks#how-does-bob-calculate-the-signature\" target=\"_blank\">How does Bob calculate the signature</a>.",
            "schema": {
              "type": "string",
              "example": "EQScIBkAtTKFW0ictgt5zzOsqIc2+xGEsM88jOdLuW4CM/a3gLEfrKV+IC5IHx0xbirzLKPIfaZjCGwzuiyI8w=="
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PositionOpeningDeletedEvent"
              },
              "example": {
                "companyId": 637323,
                "type": "workforcePlanning.positionOpening.deleted",
                "triggeredBy": "3418533772247696340",
                "triggeredAt": "2024-10-03T09:29:00.831502Z",
                "version": "v2",
                "data": {
                  "positionOpeningId": 123
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Webhook received successfully"
          },
          "400": {
            "description": "Invalid webhook payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": []
      }
    },
    "positionBudgetCreated": {
      "post": {
        "operationId": "post_webhook_workforce-planning-position-budget-created",
        "tags": [
          "Workforce Planning Webhooks"
        ],
        "summary": "Position budget created webhook",
        "description": "Webhook sent when a new position budget is created. Position budgets are always linked\nto a Position in Bob.\n\nThey allow tracking of the financial allocation for specific roles within the organization.\nBudget attributes include the budget date (when funding starts), currency, base salary, and\nvariable pay. Budgets are available only if you activate the position cost feature in the\nworkforce planning settings.\n\n**Best practice:** Use the event as a notification only, and retrieve the complete position\nbudget details using the <a href=\"https://apidocs.hibob.com/reference/post_positions-position-budget-search\" target=\"_blank\">Read company positions budgets</a> API endpoint.\nNote that budget events include the position ID, because budget details don't return it.\n\nIn the right panel, open **Examples** and select **Payload Example** to see a real payload.\n",
        "parameters": [
          {
            "name": "bob-signature",
            "in": "header",
            "required": true,
            "description": "Base64-encoded signature sent with each webhook request. Use it to verify that the request came from Bob. To verify webhook authenticity, see <a href=\"https://apidocs.hibob.com/reference/getting-started-webhooks#how-does-bob-calculate-the-signature\" target=\"_blank\">How does Bob calculate the signature</a>.",
            "schema": {
              "type": "string",
              "example": "EQScIBkAtTKFW0ictgt5zzOsqIc2+xGEsM88jOdLuW4CM/a3gLEfrKV+IC5IHx0xbirzLKPIfaZjCGwzuiyI8w=="
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PositionBudgetCreatedEvent"
              },
              "example": {
                "companyId": 636192,
                "type": "workforcePlanning.positionBudget.created",
                "triggeredBy": "3332883804594373380",
                "triggeredAt": "2025-07-07T14:30:47.831523Z",
                "version": "v2",
                "data": {
                  "positionBudgetId": 16649969,
                  "positionId": 16649970
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Webhook received successfully"
          },
          "400": {
            "description": "Invalid webhook payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": []
      }
    },
    "positionBudgetUpdated": {
      "post": {
        "operationId": "post_webhook_workforce-planning-position-budget-updated",
        "tags": [
          "Workforce Planning Webhooks"
        ],
        "summary": "Position budget updated webhook",
        "description": "Webhook sent when position budget fields are modified. Position budgets are always linked\nto a Position in Bob.\n\nThey allow tracking of the financial allocation for specific roles within the organization.\nThe payload includes `fieldUpdatesIds` to indicate which fields were changed.\n\n**Best practice:** Use the event as a notification only, and retrieve the complete position\nbudget details using the <a href=\"https://apidocs.hibob.com/reference/post_positions-position-budget-search\" target=\"_blank\">Read company positions budgets</a> API endpoint.\nUse the `fieldUpdatesIds` from the payload to retrieve only the updated field values. Note\nthat budget events include the position ID, because budget details don't return it.\n\nIn the right panel, open **Examples** and select **Payload Example** to see a real payload.\n",
        "parameters": [
          {
            "name": "bob-signature",
            "in": "header",
            "required": true,
            "description": "Base64-encoded signature sent with each webhook request. Use it to verify that the request came from Bob. To verify webhook authenticity, see <a href=\"https://apidocs.hibob.com/reference/getting-started-webhooks#how-does-bob-calculate-the-signature\" target=\"_blank\">How does Bob calculate the signature</a>.",
            "schema": {
              "type": "string",
              "example": "EQScIBkAtTKFW0ictgt5zzOsqIc2+xGEsM88jOdLuW4CM/a3gLEfrKV+IC5IHx0xbirzLKPIfaZjCGwzuiyI8w=="
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PositionBudgetUpdatedEvent"
              },
              "example": {
                "companyId": 637323,
                "type": "workforcePlanning.positionBudget.updated",
                "triggeredBy": "3418533772247696340",
                "triggeredAt": "2024-10-03T09:29:00.831502Z",
                "version": "v2",
                "data": {
                  "positionBudgetId": 123,
                  "positionId": 124,
                  "fieldUpdatesIds": [
                    {
                      "id": "/positionBudget/baseSalary"
                    }
                  ]
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Webhook received successfully"
          },
          "400": {
            "description": "Invalid webhook payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": []
      }
    }
  },
  "paths": {
    "/objects/position/search": {
      "post": {
        "operationId": "post_objects-position-search",
        "tags": [
          "Workforce Planning"
        ],
        "summary": "Read company positions",
        "description": "This endpoint returns a list of company positions filtered by the specified attributes. Note that this endpoint requires body parameters, which is why it is implemented as a POST request.  <br /><br /> <br /><br /> **<b>Required permissions</b>** <br />    To access the positions, the service user making the call must have the following permissions: <br /> **Features > Workforce planning > Position management > Manage positions**. <br />",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/GetPositionsRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "The positions returned in the response body.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PositionEntries"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "429": {
            "description": "Rate limit exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "Basic": []
          },
          {
            "Bearer": []
          }
        ],
        "x-codegen-request-body-name": "body"
      }
    }
  },
  "components": {
    "schemas": {
      "GetPositionsRequest": {
        "type": "object",
        "required": [
          "fields",
          "filters"
        ],
        "properties": {
          "fields": {
            "type": "array",
            "description": "Array of field IDs to fetch for the positions. A list of the supported field IDs can be found in the '200 response' body detailed below. To find out the field ID of a custom field, use the <a href=\"https://apidocs.hibob.com/reference/get_metadata-objects-position\">Get all positions fields</a> metadata endpoint. <br /> The array can contain 1 to 50 field IDs. Any invalid number of fields will get a response of 400 HTTP error.<br />",
            "items": {
              "type": "string",
              "example": "/position/name"
            }
          },
          "filters": {
            "type": "array",
            "description": "An array of filtering conditions.",
            "items": {
              "$ref": "#/components/schemas/FilterInstruction"
            }
          },
          "includeHumanReadable": {
            "type": "boolean",
            "description": "Whether to include the additional \"humanReadable\" entry in the response.",
            "default": false
          }
        }
      },
      "FilterInstruction": {
        "type": "object",
        "required": [
          "fieldId",
          "operator",
          "values"
        ],
        "properties": {
          "fieldId": {
            "type": "string",
            "description": "The field id to filter by.<br /> Supported fields: “/position/status”, \"/position/name\", \"/position/hasOpenRequests\" , \"position/id\".<br />Any other path will get a response of 400 HTTP error.",
            "example": "/position/status"
          },
          "operator": {
            "type": "string",
            "example": "equals",
            "description": "Supported operators: “equals”, \"notEqual\".<br />Any other operator will get a response of 400 HTTP error."
          },
          "values": {
            "type": "array",
            "description": "List of values to compare.<br />Empty list will result in 400 HTTP error.",
            "items": {
              "type": "string",
              "example": "vacant"
            }
          }
        }
      },
      "PositionEntries": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "/position/fte": {
              "type": "object",
              "description": "A numeric field representing the job % allocated to each “chair.” \n",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "5"
                },
                "value": {
                  "type": "number",
                  "example": 5
                }
              }
            },
            "/position/effectiveDate": {
              "type": "object",
              "description": "The date from which this position is budgeted for and should be filled. This can be different from the Start date if the position is filled later than expected. \n",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "2023-06-23"
                },
                "value": {
                  "type": "string",
                  "example": "2023-06-23"
                }
              }
            },
            "/position/endEffectiveDate": {
              "type": "object",
              "description": "The date this position's budget stops being effective.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "2023-06-23"
                },
                "value": {
                  "type": "string",
                  "example": "2023-06-23"
                }
              }
            },
            "/position/employmentType": {
              "type": "object",
              "description": "The position's employment type is an open list (list name is `payrollEmploymentType`) of values taken from your company’s Employment table.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Permanent"
                },
                "value": {
                  "type": "string",
                  "example": "Permanent"
                }
              }
            },
            "/position/status": {
              "type": "object",
              "description": "The position's status. Possible values and their human-readable values: `vacant` (\"Vacant\"), `onHold` (\"On hold\"), `starting` (\"Filled soon\"), `filled` (\"Filled\"), `departing` (\"Vacant soon\"), `cancelledSoon` (\"Cancelled soon\"), `cancelled` (\"Cancelled\")",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Vacant"
                },
                "value": {
                  "type": "string",
                  "example": "vacant"
                }
              }
            },
            "/position/actualStartDate": {
              "type": "object",
              "description": "The employee's assignment date for this position.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "23/06/2023"
                },
                "value": {
                  "type": "string",
                  "example": "2023-06-23"
                }
              }
            },
            "/position/reason": {
              "type": "object",
              "description": "Reason for changing or creating this position.",
              "properties": {
                "humanReadable": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              }
            },
            "/position/positionType": {
              "type": "object",
              "description": "The position's type is an open list of values in Bob. The value must be a valid list item. Out-of-the-box values include: `Growth`, `Promotion`, `Replacement` (list name: `positionType`).\n",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Growth"
                },
                "value": {
                  "type": "string",
                  "example": "Growth"
                }
              }
            },
            "/position/filledBy": {
              "type": "object",
              "description": "The current assigned employee for this position.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Audrey Darby"
                },
                "value": {
                  "type": "string",
                  "example": "3006749430876471221"
                }
              }
            },
            "/position/job": {
              "type": "object",
              "description": "The ID of the job level associated with this position. If you're using the new Job Catalog 2.0 (either in new installations or after migrating from the old catalog), this field will contain the ID of the job profile and match the value in `/position/jobProfile`. <br> **Importnat Note**: This field will be deprecated in the future. We recommend switching to `/position/jobProfile` instead.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Sales person  Level 1"
                },
                "value": {
                  "type": "number",
                  "example": 128822
                }
              }
            },
            "/position/jobProfile": {
              "type": "object",
              "description": "The ID of the job profile assigned to this position. Job profiles are available only if you're using the new Job Catalog 2.0, either by default or after migrating from the old catalog. Use the Job Catalog API to retrieve job profile details.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Track 1 (1) Product manager (J-7760164138)"
                },
                "value": {
                  "type": "number",
                  "example": 124599
                }
              }
            },
            "/position/recruitmentStatus": {
              "type": "object",
              "description": "The position's recruitment status. Possible values and their human-readable values: \"open\" (\"Open\"), \"onHold\" (\"On Hold\"), \"closed\" (\"Closed\")",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Open"
                },
                "value": {
                  "type": "string",
                  "example": "open"
                }
              }
            },
            "/position/name": {
              "type": "object",
              "description": "A unique identifier combined with text, numbers, and other characters of your choosing. When creating a position without passing the name, this will be automatically filled by the system, but it can be changed to reflect the format chosen by your organization. \n",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "P-2706B"
                },
                "value": {
                  "type": "string",
                  "example": "P-2706B"
                }
              }
            },
            "/position/department": {
              "type": "object",
              "description": "The position's department. Possible values depend on the values of the department list (list name: `department`). ",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Accountants"
                },
                "value": {
                  "type": "string",
                  "example": "5887485"
                }
              }
            },
            "/position/site": {
              "type": "object",
              "description": "The position's site. Possible values depend on the values of the sites list (list name: `site`). ",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Hong Kong"
                },
                "value": {
                  "type": "number",
                  "example": 2220765
                }
              }
            },
            "/position/expectedStartDate": {
              "type": "object",
              "description": "The expected date this position should be filled.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "17/01/2023"
                },
                "value": {
                  "type": "string",
                  "example": "2023-01-17"
                }
              }
            },
            "/position/managerPositionId": {
              "type": "object",
              "description": "The manager's position backend-id (a reference to the manager's position in Bob), that allows the creation of a hierarchical org structure.\n",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "People and Culture \\ Director (6) Product Manager \\ P-5820313116 · London · TBH"
                },
                "value": {
                  "type": "number",
                  "example": 15826495
                }
              }
            },
            "/position/managerPositionFilledBy": {
              "type": "object",
              "description": "The backend-id of the current assigned manager for this position.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Accountants  Sales person  Level 1  P-2706B · Hong Kong · Audrey Darby"
                },
                "value": {
                  "type": "number",
                  "example": 257321
                }
              }
            },
            "/position/hasOpenRequests": {
              "type": "object",
              "description": "Whether this position has pending edit requests.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Yes"
                },
                "value": {
                  "type": "boolean",
                  "example": true
                }
              }
            },
            "/position/modificationDate": {
              "type": "object",
              "description": "The date when this position was last modified.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "17/01/2023"
                },
                "value": {
                  "type": "string",
                  "example": "2023-01-17"
                }
              }
            },
            "/position/id": {
              "type": "object",
              "description": "The id of the position in the backend.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "12345"
                },
                "value": {
                  "type": "number",
                  "example": 12345
                }
              }
            },
            "/position/calculatedRecruitmentStatus": {
              "type": "object",
              "description": "The recruitment status of the position, calculated by the recruitment status of its openings. Possible values and their human-readable values: \"open\" (\"Open\"),  \"onHold\" (\"On hold\"), \"closed\" (\"Closed\")",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "Open"
                },
                "value": {
                  "type": "string",
                  "example": "open"
                }
              }
            },
            "/position/calculatedExpectedStartDate": {
              "type": "object",
              "description": "The expected start date of the position, calculated by the expected start date of its openings.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "17/01/2023"
                },
                "value": {
                  "type": "string",
                  "example": "2023-01-17"
                }
              }
            },
            "/position/calculatedActualStartDate": {
              "type": "object",
              "description": "The actual start date of the position, calculated by the actual start date of its openings.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "17/01/2023"
                },
                "value": {
                  "type": "string",
                  "example": "2023-01-17"
                }
              }
            },
            "/position/budget": {
              "type": "string",
              "description": "The backend identifier of the budget (cost) associated with this position. This field is included in the response only for positions with a defined budget. If no budget is defined, this field will not be returned. Use the budget ID to retrieve the budget amount and details through the 'Get Position Budgets' endpoint.",
              "properties": {
                "humanReadable": {
                  "type": "string",
                  "example": "1234"
                },
                "value": {
                  "type": "number",
                  "example": 1234
                }
              }
            }
          }
        }
      },
      "ApiErrorResponse": {
        "type": "object",
        "description": "Standard API error response body",
        "properties": {
          "key": {
            "type": "string",
            "description": "The unique identifier of the error."
          },
          "error": {
            "type": "string",
            "description": "A human readable error message."
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string",
            "description": "The unique identifier of the error."
          },
          "error": {
            "type": "string",
            "description": "A human readable error message."
          }
        }
      },
      "WebhookEvent": {
        "type": "object",
        "description": "Base webhook event structure containing common webhook properties",
        "properties": {
          "companyId": {
            "type": "number",
            "description": "The company ID"
          },
          "type": {
            "type": "string",
            "description": "The event type (e.g., workforcePlanning.position.created)"
          },
          "triggeredBy": {
            "type": "string",
            "description": "The backend-id of the employee that triggered the event or 'system' for events triggered automatically by the system"
          },
          "triggeredAt": {
            "type": "string",
            "format": "date-time",
            "description": "The timestamp when the event occurred"
          },
          "version": {
            "type": "string",
            "description": "The webhook version"
          },
          "data": {
            "type": "object",
            "description": "Contains the actual data and differs for each event type"
          }
        },
        "required": [
          "companyId",
          "type",
          "triggeredBy",
          "triggeredAt",
          "version",
          "data"
        ]
      },
      "FieldId": {
        "type": "object",
        "description": "Field ID structure for field updates",
        "properties": {
          "id": {
            "type": "string",
            "description": "The field path (e.g., /position/status)"
          }
        },
        "required": [
          "id"
        ]
      },
      "PositionCreatedEvent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/WebhookEvent"
          },
          {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "workforcePlanning.position.created"
                ],
                "description": "The event type for position creation"
              },
              "data": {
                "type": "object",
                "properties": {
                  "positionId": {
                    "type": "number",
                    "description": "The ID of the created position"
                  }
                },
                "required": [
                  "positionId"
                ]
              }
            },
            "description": "Webhook sent when a new position is created in the Workforce Planning module."
          }
        ]
      },
      "PositionUpdatedEvent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/WebhookEvent"
          },
          {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "workforcePlanning.position.updated"
                ],
                "description": "The event type for position update"
              },
              "data": {
                "type": "object",
                "properties": {
                  "positionId": {
                    "type": "number",
                    "description": "The ID of the updated position"
                  },
                  "fieldUpdatesIds": {
                    "type": "array",
                    "description": "List of field paths that were updated",
                    "items": {
                      "$ref": "#/components/schemas/FieldId"
                    }
                  }
                },
                "required": [
                  "positionId",
                  "fieldUpdatesIds"
                ]
              }
            },
            "description": "Webhook sent when any position fields are modified in the Workforce Planning module."
          }
        ]
      },
      "PositionOpeningCreatedEvent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/WebhookEvent"
          },
          {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "workforcePlanning.positionOpening.created"
                ],
                "description": "The event type for position opening creation"
              },
              "data": {
                "type": "object",
                "properties": {
                  "positionOpeningId": {
                    "type": "number",
                    "description": "The ID of the created position opening"
                  }
                },
                "required": [
                  "positionOpeningId"
                ]
              }
            },
            "description": "Webhook sent when a new position opening is created."
          }
        ]
      },
      "PositionOpeningUpdatedEvent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/WebhookEvent"
          },
          {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "workforcePlanning.positionOpening.updated"
                ],
                "description": "The event type for position opening update"
              },
              "data": {
                "type": "object",
                "properties": {
                  "positionOpeningId": {
                    "type": "number",
                    "description": "The ID of the updated position opening"
                  },
                  "fieldUpdatesIds": {
                    "type": "array",
                    "description": "List of field paths that were updated",
                    "items": {
                      "$ref": "#/components/schemas/FieldId"
                    }
                  }
                },
                "required": [
                  "positionOpeningId",
                  "fieldUpdatesIds"
                ]
              }
            },
            "description": "Webhook sent when position opening fields are modified."
          }
        ]
      },
      "PositionOpeningDeletedEvent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/WebhookEvent"
          },
          {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "workforcePlanning.positionOpening.deleted"
                ],
                "description": "The event type for position opening deletion"
              },
              "data": {
                "type": "object",
                "properties": {
                  "positionOpeningId": {
                    "type": "number",
                    "description": "The ID of the deleted position opening"
                  }
                },
                "required": [
                  "positionOpeningId"
                ]
              }
            },
            "description": "Webhook sent when a position opening is removed."
          }
        ]
      },
      "PositionBudgetCreatedEvent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/WebhookEvent"
          },
          {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "workforcePlanning.positionBudget.created"
                ],
                "description": "The event type for position budget creation"
              },
              "data": {
                "type": "object",
                "properties": {
                  "positionBudgetId": {
                    "type": "number",
                    "description": "The ID of the created position budget"
                  },
                  "positionId": {
                    "type": "number",
                    "description": "The ID of the position this budget is linked to"
                  }
                },
                "required": [
                  "positionBudgetId",
                  "positionId"
                ]
              }
            },
            "description": "Webhook sent when a new position budget is created. The event payload includes the position ID that this budget is linked to."
          }
        ]
      },
      "PositionBudgetUpdatedEvent": {
        "allOf": [
          {
            "$ref": "#/components/schemas/WebhookEvent"
          },
          {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "workforcePlanning.positionBudget.updated"
                ],
                "description": "The event type for position budget update"
              },
              "data": {
                "type": "object",
                "properties": {
                  "positionBudgetId": {
                    "type": "number",
                    "description": "The ID of the updated position budget"
                  },
                  "positionId": {
                    "type": "number",
                    "description": "The ID of the position this budget is linked to"
                  },
                  "fieldUpdatesIds": {
                    "type": "array",
                    "description": "List of field paths that were updated",
                    "items": {
                      "$ref": "#/components/schemas/FieldId"
                    }
                  }
                },
                "required": [
                  "positionBudgetId",
                  "positionId",
                  "fieldUpdatesIds"
                ]
              }
            },
            "description": "Webhook sent when position budget fields are modified. The event payload includes the position ID that this budget is linked to."
          }
        ]
      }
    },
    "securitySchemes": {
      "Basic": {
        "type": "http",
        "scheme": "basic"
      },
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "OAuth 2.0",
        "description": "OAuth 2.0 authentication using an Access Token is available for registered partners only.  Try It! does not support the full HiBob OAuth flow. You can follow <a href=\"https://apidocs.hibob.com/reference/oauth-20#testing-from-the-public-api-reference\" target=\"_blank\">these steps</a> to complete the OAuth 2.0 flow in Postman and then paste the token here."
      }
    }
  }
}
```